000100****************************************************************  00010014
000200*                                                                 00020014
000300*    LICENSED MATERIALS - PROPERTY OF IBM                         00030014
000400*    5655-O30, 5655-O27, 5655-QCC, 5655-O19, 5655-O24, 5655-QCA,  00040014
000500*    5655-QCB, 5655-O26                                           00050014
000600*    (C) COPYRIGHT 2015 IBM CORP.                                 00060014
000700*                                                                 00070014
000800* INFOSPHERE OPTIM DATA PRIVACY: COBOL MEMBER IOQSHWAP.           00080014
000900* ODPP MISCELLANEOUS CONSTANT DEFINITIONS.                        00090014
001000*                                                                 00100014
001100****************************************************************  00110014
001200                                                                  00120014
001300 77 MAX-PARAMETER PIC S9(9) COMP-5 VALUE 3.                       00130014
001400 77 MAX-COLUMN PIC S9(9) COMP-5 VALUE 1.                          00140014
001500 77 MAX-COLNAME-SIZE PIC S9(9) COMP-5 VALUE 256.                  00150014
001600                                                                  00160014
001700* DATATYPE DEFINITIONS USED IN ODPP                               00170014
001800 77 ODPPDATATYPE-CHAR               PIC S9(4) COMP-5 VALUE 1.     00180014
001900 77 ODPPDATATYPE-VARCHAR            PIC S9(4) COMP-5 VALUE 2.     00190014
002000 77 ODPPDATATYPE-VARCHAR-SZ         PIC S9(4) COMP-5 VALUE 3.     00200014
002100 77 ODPPDATATYPE-WCHAR              PIC S9(4) COMP-5 VALUE 4.     00210014
002200 77 ODPPDATATYPE-WVARCHAR           PIC S9(4) COMP-5 VALUE 5.     00220014
002300 77 ODPPDATATYPE-WVARCHAR-SZ        PIC S9(4) COMP-5 VALUE 6.     00230014
002400 77 ODPPDATATYPE-LONG-LONG          PIC S9(4) COMP-5 VALUE 7.     00240014
002500 77 ODPPDATATYPE-U-LONG-LONG        PIC S9(4) COMP-5 VALUE 8.     00250014
002600 77 ODPPDATATYPE-INTEGER            PIC S9(4) COMP-5 VALUE 9.     00260014
002700 77 ODPPDATATYPE-U-INTEGER          PIC S9(4) COMP-5 VALUE 10.    00270014
002800 77 ODPPDATATYPE-DECIMAL-370        PIC S9(4) COMP-5 VALUE 13.    00280014
002900 77 ODPPDATATYPE-ODBC-DATE          PIC S9(4) COMP-5 VALUE 14.    00290014
003000 77 ODPPDATATYPE-ODBC-TIME          PIC S9(4) COMP-5 VALUE 15.    00300014
003100 77 ODPPDATATYPE-ODBC-TIMESTAMP     PIC S9(4) COMP-5 VALUE 16.    00310014
003200 77 ODPPDATATYPE-DATETIME-SZ        PIC S9(4) COMP-5 VALUE 17.    00320014
003300 77 ODPPDATATYPE-DATETIME-WSZ       PIC S9(4) COMP-5 VALUE 18.    00330014
003400 77 ODPPDATATYPE-DOUBLE             PIC S9(4) COMP-5 VALUE 19.    00340014
003500 77 ODPPDATATYPE-FLOAT              PIC S9(4) COMP-5 VALUE 20.    00350014
003600 77 ODPPDATATYPE-SMALLINT           PIC S9(4) COMP-5 VALUE 21.    00360014
003700 77 ODPPDATATYPE-USMALLINT          PIC S9(4) COMP-5 VALUE 22.    00370014
003800 77 ODPPDATATYPE-TINYINT            PIC S9(4) COMP-5 VALUE 23.    00380014
003900 77 ODPPDATATYPE-UTINYINT           PIC S9(4) COMP-5 VALUE 24.    00390014
004000 77 ODPPDATATYPE-DATETIME-CHAR      PIC S9(4) COMP-5 VALUE 25.    00400014
004100 77 ODPPDATATYPE-DATETIME-VARCHAR   PIC S9(4) COMP-5 VALUE 26.    00410014
004200 77 ODPPDATATYPE-DATETIME-WCHAR     PIC S9(4) COMP-5 VALUE 27.    00420014
004300 77 ODPPDATATYPE-DATETIME-WVARCHAR  PIC S9(4) COMP-5 VALUE 28.    00430014
004400 77 ODPPDATATYPE-ORA-VARNUM         PIC S9(4) COMP-5 VALUE 101.   00440014
004500 77 ODPPDATATYPE-GRAPHIC            PIC S9(4) COMP-5 VALUE 111.   00450014
004600 77 ODPPDATATYPE-VARGRAPHIC         PIC S9(4) COMP-5 VALUE 112.   00460014
004700                                                                  00470014
004800* COMMON OPERANDS USED BY THE ODPP                                00480014
004900 77 ODPP-OPR-SWITCH-LITERAL         PIC S9(4) COMP-5 VALUE 4097.  00490014
005000 77 ODPP-OPR-SWITCH-FUNCTION        PIC S9(4) COMP-5 VALUE 4098.  00500014
005100 77 ODPP-OPR-SWITCH-COLINDEX        PIC S9(4) COMP-5 VALUE 4099.  00510014
005200 77 ODPP-OPR-SWITCH-COLNAME         PIC S9(4) COMP-5 VALUE 4100.  00520014
005300 77 ODPP-OPR-SWITCH-NA              PIC S9(4) COMP-5 VALUE 4101.  00530014
005400 77 ODPP-OPR-PARTS                  PIC S9(4) COMP-5 VALUE 4102.  00540014
005500 77 ODPP-OPR-SOURCE-COLINDEX        PIC S9(4) COMP-5 VALUE 4103.  00550014
005600 77 ODPP-OPR-SOURCE-COLNAME         PIC S9(4) COMP-5 VALUE 4104.  00560014
005700 77 ODPP-OPR-SEPARATOR              PIC S9(4) COMP-5 VALUE 4105.  00570014
005800 77 ODPP-OPR-FLAGS                  PIC S9(4) COMP-5 VALUE 4106.  00580014
005900 77 ODPP-OPR-METHOD                 PIC S9(4) COMP-5 VALUE 4107.  00590014
006000 77 ODPP-OPR-TRACEPATH              PIC S9(4) COMP-5 VALUE 4108.  00600014
006100 77 ODPP-OPR-TRACELEVEL             PIC S9(4) COMP-5 VALUE 4109.  00610014
006200 77 ODPP-OPR-DATE                   PIC S9(4) COMP-5 VALUE 4110.  00620014
006300 77 ODPP-OPR-TIME                   PIC S9(4) COMP-5 VALUE 4111.  00630014
006400 77 ODPP-OPR-TIME-EX                PIC S9(4) COMP-5 VALUE 4112.  00640014
006500 77 ODPP-OPR-TIMESTAMP              PIC S9(4) COMP-5 VALUE 4113.  00650014
006600 77 ODPP-OPR-TIMESTAMP-EX           PIC S9(4) COMP-5 VALUE 4114.  00660014
006700 77 ODPP-OPR-DISCARD-LIMIT          PIC S9(4) COMP-5 VALUE 4115.  00670014
006800 77 ODPP-OPR-RETRY-FAILED           PIC S9(4) COMP-5 VALUE 4116.  00680014
006900 77 ODPP-OPR-SOURCE-COLS            PIC S9(4) COMP-5 VALUE 4117.  00690014
007000 77 ODPP-OPR-ERRORFILE-PATH         PIC S9(4) COMP-5 VALUE 4118.  00700014
007100 77 ODPP-OPR-SOURCE-DATE-FORMAT     PIC S9(4) COMP-5 VALUE 4119.  00710014
007200 77 ODPP-OPR-DEST-DATE-FORMAT       PIC S9(4) COMP-5 VALUE 4120.  00720014
007300 77 ODPP-OPR-DEST-DATATYPE          PIC S9(4) COMP-5 VALUE 4121.  00730014
007400 77 ODPP-OPR-ERROR-MSG-LANGUAGE     PIC S9(4) COMP-5 VALUE 4122.  00740014
007500 77 ODPP-OPR-MAX-NUM-TRACE-FILES    PIC S9(4) COMP-5 VALUE 4123.  00750014
007600 77 ODPP-OPR-LIC-FILES-PATH         PIC S9(4) COMP-5 VALUE 4124.  00760014
007700 77 ODPP-OPR-FRMW-ERR-MSG-BUF       PIC S9(4) COMP-5 VALUE 4125.  00770014
007800 77 ODPP-OPR-LIB-PATH               PIC S9(4) COMP-5 VALUE 4126.  00780014
007900 77 ODPP-OPR-TRACE-NAME             PIC S9(4) COMP-5 VALUE 4127.  00790014
008000                                                                  00800014
008100* INFORMATION REQUESTS USED BY PROVIDERS                          00810014
008200 77 ODPP-REQ-SRC-COL-INDEX          PIC S9(4) COMP-5 VALUE 3585.  00820014
008300 77 ODPP-REQ-DEST-COL-INDEX         PIC S9(4) COMP-5 VALUE 3586.  00830014
008400 77 ODPP-REQ-DEST-DATATYPE          PIC S9(4) COMP-5 VALUE 3587.  00840014
008500 77 ODPP-REQ-DEST-FIELD-INFO        PIC S9(4) COMP-5 VALUE 3588.  00850014
008600                                                                  00860014
008700* COMMON SEPARATORS USED WITH PROVIDER NID WITH SEP OPERANDS      00870014
008800 77 ODPP-NO-SEP                     PIC S9(4) COMP-5 VALUE 1.     00880014
008900 77 ODPP-SEP-USESOURCE              PIC S9(4) COMP-5 VALUE 2.     00890014
009000 77 ODPP-SEP-DOT                    PIC S9(4) COMP-5 VALUE 4.     00900014
009100 77 ODPP-SEP-DASH                   PIC S9(4) COMP-5 VALUE 8.     00910014
009200 77 ODPP-SEP-SPACE                  PIC S9(4) COMP-5 VALUE 16.    00920014
009300 77 ODPP-SEP-UNDERSCORE             PIC S9(4) COMP-5 VALUE 32.    00930014
009400                                                                  00940014
009500* HASH LIBRARY OPERANDS                                           00950014
009600 77 ODPP-OPR-HASH-ALGORITHM         PIC S9(4) COMP-5 VALUE 4128.  00960014
009700 77 ODPP-OPR-HASH-SEED-HMAC         PIC S9(4) COMP-5 VALUE 4129.  00970014
009800* VALUES FOR THE HASH ALGORITHM                                   00980014
009900 77 ODPP-HASH-ALGORITHM-NATIVE      PIC S9(9) COMP-5 VALUE 5150.  00990014
010000 77 ODPP-HASH-ALGORITHM-SHA256      PIC S9(9) COMP-5 VALUE 5151.  01000014
010100                                                                  01010014
010200 77 PARAM-VAL-NONE                  PIC S9(9) COMP-5 VALUE 0.     01020014
010300 77 PARAM-VAL-NUM                   PIC S9(9) COMP-5 VALUE 1.     01030014
010400 77 PARAM-VAL-WC                    PIC S9(9) COMP-5 VALUE 2.     01040014
010500 77 PARAM-VAL-MC                    PIC S9(9) COMP-5 VALUE 3.     01050014
010600                                                                  01060014
010700* COMMON OPERAND VALUE/FLAG DEFINES                               01070014
010800 77 ODPP-METHOD-MASK                PIC S9(9) COMP-5 VALUE 5126.  01080014
010900 77 ODPP-METHOD-RANDOM              PIC S9(9) COMP-5 VALUE 5127.  01090014
011000 77 ODPP-METHOD-DEFAULT             PIC S9(9) COMP-5 VALUE 5128.  01100014
011100 77 ODPP-TRACE-PATH-DEFAULT         PIC S9(9) COMP-5 VALUE 5129.  01110014
011200 77 ODPP-FLAG-VALIDATE-INPUT        PIC S9(9) COMP-5 VALUE 1.     01120014
011300 77 ODPP-FLAG-IGNORE-INVALID        PIC S9(9) COMP-5 VALUE 2.     01130014
011400                                                                  01140014
011500* OPERANDS FOR AFFINITY (COL)                                     01150014
011600 77 ODPP-OPR-COL-MASK               PIC 9(9) COMP-5 VALUE 6630.   01160014
011700 77 ODPP-OPR-COL-VARSEED            PIC 9(9) COMP-5 VALUE 6631.   01170014
011800 77 ODPP-OPR-COL-LITSEED            PIC 9(9) COMP-5 VALUE 6632.   01180014
011900 77 ODPP-OPR-COL-RNDSEED            PIC 9(9) COMP-5 VALUE 6633.   01190014
012000 77 ODPP-OPR-COL-COPY               PIC 9(9) COMP-5 VALUE 6634.   01200014
012100 77 ODPP-OPR-COL-LENGTH             PIC 9(9) COMP-5 VALUE 6635.   01210014
012200 77 ODPP-OPR-COL-NUM                PIC 9(9) COMP-5 VALUE 6636.   01220014
012300 77 ODPP-OPR-COL-TRIM               PIC 9(9) COMP-5 VALUE 6637.   01230014
012400 77 ODPP-OPR-COL-BINARY             PIC 9(9) COMP-5 VALUE 6638.   01240014
012500                                                                  01250014
012600* FLAGS FOR AFFINITY (COL)                                        01260014
012700 77 ODPP-COL-MASK-UNIQUE            PIC 9(9) COMP-5 VALUE 6646.   01270014
012800 77 ODPP-COL-MASK-HASH              PIC 9(9) COMP-5 VALUE 6647.   01280014
012900 77 ODPP-COL-LENGTH-MAX             PIC 9(9) COMP-5 VALUE 6648.   01290014
013000 77 ODPP-COL-BINARY-SCALED          PIC 9(9) COMP-5 VALUE 6649.   01300014
013100                                                                  01310014
013200* PARAMETERS SPECIFIC TO EML                                      01320014
013300 77 ODPP-OPR-EML-FLAGS              PIC 9(4) COMP-5 VALUE 6534.   01330014
013400 77 ODPP-OPR-EML-DOMAIN             PIC 9(4) COMP-5 VALUE 6535.   01340014
013500 77 ODPP-OPR-EML-NAME1COL-INDEX     PIC 9(4) COMP-5 VALUE 6536.   01350014
013600 77 ODPP-OPR-EML-NAME2COL-INDEX     PIC 9(4) COMP-5 VALUE 6537.   01360014
013700 77 ODPP-OPR-EML-USERPRFX           PIC 9(4) COMP-5 VALUE 6538.   01370014
013800 77 ODPP-OPR-EML-SEPARATOR          PIC 9(4) COMP-5 VALUE 6539.   01380014
013900 77 ODPP-OPR-EML-HASHSEED           PIC 9(4) COMP-5 VALUE 6540.   01390014
014000 77 ODPP-OPR-EML-HASHDOMAIN         PIC 9(4) COMP-5 VALUE 6541.   01400014
014100 77 ODPP-OPR-EML-NAME1COL-NAME      PIC 9(4) COMP-5 VALUE 6542.   01410014
014200 77 ODPP-OPR-EML-NAME2COL-NAME      PIC 9(4) COMP-5 VALUE 6543.   01420014
014300                                                                  01430014
014400* FLAGS SPECIFIC TO EML                                           01440014
014500 77 ODPP-EML-FLAG-INITIAL           PIC 9(4) COMP-5 VALUE 1.      01450014
014600 77 ODPP-EML-FLAG-LOWER             PIC 9(4) COMP-5 VALUE 2.      01460014
014700 77 ODPP-EML-FLAG-UPPER             PIC 9(4) COMP-5 VALUE 4.      01470014
014800 77 ODPP-EML-FLAG-HASH-ENABLED      PIC 9(4) COMP-5 VALUE 8.      01480014
014900                                                                  01490014
015000* OPERANDS FOR ODPP-OPR-EML-HASHDOMAIN                            01500014
015100 77 ODPP-EML-DOMAIN-KEEP            PIC 9(4) COMP-5 VALUE 6566.   01510014
015200 77 ODPP-EML-DOMAIN-REGISTERED      PIC 9(4) COMP-5 VALUE 6567.   01520014
015300 77 ODPP-EML-DOMAINUNREGISTERED     PIC 9(4) COMP-5 VALUE 6568.   01530014
015400                                                                  01540014
015500* OPERANDS FOR PARTS FOR VARIOUS NIDS                             01550014
015600 77 ODPP-OPR-NID-FR-PARTS           PIC 9(9) COMP-5 VALUE 6145.   01560014
015700 77 ODPP-OPR-NID-ES-PARTS           PIC 9(9) COMP-5 VALUE 6146.   01570014
015800 77 ODPP-OPR-NID-IT-PARTS           PIC 9(9) COMP-5 VALUE 6147.   01580014
015900 77 ODPP-OPR-NID-UK-PARTS           PIC 9(9) COMP-5 VALUE 6148.   01590014
016000 77 ODPP-OPR-NID-US-PARTS           PIC 9(9) COMP-5 VALUE 6149.   01600014
016100 77 ODPP-OPR-NID-CA-PARTS           PIC 9(9) COMP-5 VALUE 6150.   01610014
016200                                                                  01620014
016300* OPERANDS FOR SEPS FOR VARIOUS NIDS                              01630014
016400 77 ODPP-OPR-NID-FR-SEP             PIC 9(9) COMP-5 VALUE 6151.   01640014
016500 77 ODPP-OPR-NID-ES-SEP             PIC 9(9) COMP-5 VALUE 6152.   01650014
016600 77 ODPP-OPR-NID-IT-SEP             PIC 9(9) COMP-5 VALUE 6153.   01660014
016700 77 ODPP-OPR-NID-UK-SEP             PIC 9(9) COMP-5 VALUE 6154.   01670014
016800 77 ODPP-OPR-NID-US-SEP             PIC 9(9) COMP-5 VALUE 6155.   01680014
016900 77 ODPP-OPR-NID-CA-SEP             PIC 9(9) COMP-5 VALUE 6156.   01690014
017000                                                                  01700014
017100* OPERANDS FOR FLAGS FOR VARIOUS NIDS                             01710014
017200 77 ODPP-OPR-NID-UK-FLAGS           PIC 9(9) COMP-5 VALUE 6157.   01720014
017300 77 ODPP-OPR-NID-US-FLAGS           PIC 9(9) COMP-5 VALUE 6158.   01730014
017400                                                                  01740014
017500* THESE VALUES ARE FOR FR OPERAND ODPP-OPR-NID-FR-PARTS ONLY      01750014
017600 77 ODPP-FR-PARTS-MASK-SEX          PIC 9(4) COMP-5 VALUE 1.      01760014
017700 77 ODPP-FR-PARTS-MASK-YEAR         PIC 9(4) COMP-5 VALUE 2.      01770014
017800 77 ODPP-FR-PARTS-MASK-MONTH        PIC 9(4) COMP-5 VALUE 4.      01780014
017900 77 ODPP-FR-PARTS-MASK-DEPT         PIC 9(4) COMP-5 VALUE 8.      01790014
018000 77 ODPP-FR-PARTS-MASK-COMMUNE      PIC 9(4) COMP-5 VALUE 16.     01800014
018100                                                                  01810014
018200* THESE VALUES ARE FOR IT OPERAND ODPP-OPR-NID-IT-PARTS ONLY      01820014
018300 77 ODPP-IT-PARTS-MASK-NAME         PIC 9(4) COMP-5 VALUE 1.      01830014
018400 77 ODPP-IT-PARTS-MASK-BIRTH-DATE   PIC 9(4) COMP-5 VALUE 2.      01840014
018500 77 ODPP-IT-PARTS-MASK-REGION       PIC 9(4) COMP-5 VALUE 4.      01850014
018600                                                                  01860014
018700* THESE VALUES ARE FOR UK OPERAND ODPP-OPR-NID-UK-PARTS ONLY      01870014
018800 77 ODPP-UK-PARTS-MASK-PREFIX       PIC 9(4) COMP-5 VALUE 1.      01880014
018900* THESE VALUES ARE FOR UK OPERAND ODPP-OPR-NID-UK-FLAGS ONLY      01890014
019000 77 ODPP-FLAG-UK-FORM-3-PART        PIC 9(4) COMP-5 VALUE 1.      01900014
019100 77 ODPP-FLAG-UK-FORM-5-PART        PIC 9(4) COMP-5 VALUE 2.      01910014
019200                                                                  01920014
019300* THESE VALUES ARE FOR CA OPERAND ODPP-OPR-NID-CA-PARTS ONLY      01930014
019400 77 ODPP-CA-PARTS-MASK-HEAD         PIC 9(4) COMP-5 VALUE 1.      01940014
019500                                                                  01950014
019600* THESE VALUES ARE FOR US OPERAND ODPP-OPR-NID-US-FLAGS ONLY      01960014
019700 77 ODPP-FLAG-US-RANDOM             PIC 9(4) COMP-5 VALUE 1.      01970014
019800 77 ODPP-FLAG-USE-DIST-TABLE        PIC 9(4) COMP-5 VALUE 2.      01980014
019900 77 ODPP-FLAG-USE-ZOS-TABLE         PIC 9(4) COMP-5 VALUE 4.      01990014
020000                                                                  02000014
020100* OPERAND FOR CCN SPECIFIC FLAGS                                  02010014
020200 77 ODPP-OPR-CCN-FLAGS              PIC 9(4) COMP-5 VALUE 6501.   02020014
020300                                                                  02030014
020400* CCN FLAGS FOR CCN OPERAND ODPP-OPR-CCN-FLAGS                    02040014
020500 77 ODPP-FLAG-CCN-RANDOM            PIC 9(4) COMP-5 VALUE 1.      02050014
020600 77 ODPP-FLAG-CCN-ISSUER6           PIC 9(4) COMP-5 VALUE 2.      02060014
020700                                                                  02070014
020800* HASH OPERANDS/FLAGS/VALUES                                      02080014
020900 77 ODPP-OPR-HASH-MAXVALUE          PIC 9(4) COMP-5 VALUE 6716.   02090014
021000 77 ODPP-OPR-HASH-SEED-LIT          PIC 9(4) COMP-5 VALUE 6717.   02100014
021100 77 ODPP-OPR-HASH-SEED-ENV          PIC 9(4) COMP-5 VALUE 6718.   02110014
021200 77 ODPP-OPR-HASH-SEED-RANDOM       PIC 9(4) COMP-5 VALUE 6719.   02120014
021300 77 ODPP-OPR-HASH-SEED-COL          PIC 9(4) COMP-5 VALUE 6720.   02130014
021400 77 ODPP-OPR-HASH-DEST-COL          PIC 9(4) COMP-5 VALUE 6721.   02140014
021500 77 ODPP-OPR-HASH-TRIM-CHARS        PIC 9(4) COMP-5 VALUE 6722.   02150014
021600 77 ODPP-OPR-HASH-SRC-COL-SEP       PIC 9(4) COMP-5 VALUE 6723.   02160014
021700 77 ODPP-OPR-HASH-FLAGS             PIC 9(4) COMP-5 VALUE 6724.   02170014
021800 77 ODPP-OPR-HASH-ALGO              PIC 9(4) COMP-5 VALUE 6725.   02180014
021900 77 OPR-HASH-SPL-SNGL-COL-NULL      PIC 9(4) COMP-5 VALUE 6726.   02190014
022000 77 OPR-HASH-SPL-SNGL-COL-BLANK     PIC 9(4) COMP-5 VALUE 6727.   02200014
022100 77 OPR-HASH-SPL-SNGL-COL-ZEROLEN   PIC 9(4) COMP-5 VALUE 6728.   02210014
022200 77 OPR-HASH-SPL-MULTI-COL-NULL     PIC 9(4) COMP-5 VALUE 6729.   02220014
022300 77 OPR-HASH-SPL-MULTI-COL-BLANK    PIC 9(4) COMP-5 VALUE 6730.   02230014
022400 77 OPR-HASH-SPL-MULTI-COL-ZEROLEN  PIC 9(4) COMP-5 VALUE 6731.   02240014
022500 77 OPR-HASH-SPL-MULTI-COL-MIXED    PIC 9(4) COMP-5 VALUE 6732.   02250014
022600                                                                  02260014
022700* HASH OPERANDS/FLAGS/VALUES                                      02270014
022800 77 ODPP-METHOD-HASH                PIC 9(4) COMP-5 VALUE 5126.   02280014
022900 77 ODPP-HASH-ALGO-1                PIC 9(4) COMP-5 VALUE 6741.   02290014
023000 77 ODPP-NO-RETRY-FAILED            PIC 9(4) COMP-5 VALUE 6742.   02300014
023100 77 ODPP-RETRY-FAILED               PIC 9(4) COMP-5 VALUE 6743.   02310014
023200* HASH PROVIDER SPECIFIC INFO REQUEST CODES                       02320014
023300 77 ODPP-HASH-REQ-SEED-COL-INDEX    PIC 9(4) COMP-5 VALUE 6754.   02330014
023400 77 ODPP-HASH-REQ-MAX-HASH-VALUE    PIC 9(4) COMP-5 VALUE 6755.   02340014
023500* HASH FLAG OPERAND                                               02350014
023600 77 HASH-FLAG-SRC-TO-UPPER          PIC 9(4) COMP-5 VALUE 1.      02360014
023700                                                                  02370014
023800* VALUES FOR AGE                                                  02380014
023900 77 ODPP-OPR-AGE-YEAR               PIC 9(9) COMP-5 VALUE 6756.   02390014
024000 77 ODPP-OPR-AGE-MONTH              PIC 9(9) COMP-5 VALUE 6757.   02400014
024100 77 ODPP-OPR-AGE-WEEK               PIC 9(9) COMP-5 VALUE 6758.   02410014
024200 77 ODPP-OPR-AGE-DAY                PIC 9(9) COMP-5 VALUE 6759.   02420014
024300 77 ODPP-OPR-AGE-SPECIFIC-YEAR      PIC 9(9) COMP-5 VALUE 6760.   02430014
024400 77 ODPP-OPR-AGE-CENTURY-PIVOT      PIC 9(9) COMP-5 VALUE 6761.   02440014
024500                                                                  02450014
024600* VALUES FOR LOOKUP AND HASH                                      02460014
024700 77 ODPP-OPR-LOOKUP-SEARCH-COLS     PIC 9(9) COMP-5 VALUE 4117.   02470014
024800 77 ODPP-OPR-SRC-COL-OPERATOR       PIC 9(9) COMP-5 VALUE 6672.   02480014
024900 77 ODPP-OPR-LDS-ID                 PIC 9(9) COMP-5 VALUE 6673.   02490014
025000 77 ODPP-OPR-LDS-LIB                PIC 9(9) COMP-5 VALUE 6674.   02500014
025100 77 ODPP-OPR-LOOKUP-REPLACE-COLS    PIC 9(9) COMP-5 VALUE 6675.   02510014
025200 77 ODPP-OPR-LOOKUP-TRIM-CHARS      PIC 9(9) COMP-5 VALUE 6676.   02520014
025300 77 ODPP-OPR-LOOKUP-SEED            PIC 9(9) COMP-5 VALUE 6677.   02530014
025400 77 ODPP-OPR-LOOKUP-LIMIT           PIC 9(9) COMP-5 VALUE 6678.   02540014
025500 77 ODPP-OPR-LOOKUP-FLAGS           PIC 9(9) COMP-5 VALUE 6679.   02550014
025600 77 ODPP-OPR-LKP-HASH-SEQ-COL-NAME  PIC 9(9) COMP-5 VALUE 6680.   02560014
025700 77 ODPP-OPR-LKP-CACHE-TEMP-PATH    PIC 9(9) COMP-5 VALUE 6681.   02570014
025800 77 ODPP-OPR-RND-LKP-TEMP-PATH      PIC 9(9) COMP-5 VALUE 6681.   02580014
025900 77 ODPP-OPR-LKP-CACHE-MEM-THRHOLD  PIC 9(9) COMP-5 VALUE 6682.   02590014
026000 77 ODPP-OPR-LKP-PRESERVE-NULL      PIC 9(9) COMP-5 VALUE 6683.   02600014
026100 77 ODPP-OPR-LKP-PRESERVE-BLANK     PIC 9(9) COMP-5 VALUE 6684.   02610014
026200 77 ODPP-OPR-LKP-PRESERVE-ZEROLEN   PIC 9(9) COMP-5 VALUE 6690.   02620014
026300 77 ODPP-OPR-LKP-PRESERVE-NOTFOUND  PIC 9(9) COMP-5 VALUE 6691.   02630014
026400 77 ODPP-OPR-LKP-SPL-HV-SCOL-NULL   PIC 9(9) COMP-5 VALUE 6692.   02640014
026500 77 ODPP-OPR-LKP-SPL-HV-SCOL-BLANK  PIC 9(9) COMP-5 VALUE 6693.   02650014
026600 77 ODPP-OPR-LKP-SPL-HV-SCOL-ZLEN   PIC 9(9) COMP-5 VALUE 6694.   02660014
026700 77 ODPP-OPR-LKP-SPL-HV-MCOL-NULL   PIC 9(9) COMP-5 VALUE 6695.   02670014
026800 77 ODPP-OPR-LKP-SPL-HV-MCOL-BLANK  PIC 9(9) COMP-5 VALUE 6696.   02680014
026900 77 ODPP-OPR-LKP-SPL-HV-MCOL-ZLEN   PIC 9(9) COMP-5 VALUE 6697.   02690014
027000 77 ODPP-OPR-LKP-SPL-HV-MCOL-MIXED  PIC 9(9) COMP-5 VALUE 6698.   02700014
027100                                                                  02710014
027200 77 ODPP-OPR-LDS-USERNAME           PIC 9(9) COMP-5 VALUE 6685.   02720014
027300 77 ODPP-OPR-LDS-PASSWORD           PIC 9(9) COMP-5 VALUE 6686.   02730014
027400 77 ODPP-OPR-LDS-CONN-STRING        PIC 9(9) COMP-5 VALUE 6687.   02740014
027500 77 ODPP-OPR-LDS-SCHEMA             PIC 9(9) COMP-5 VALUE 6688.   02750014
027600 77 ODPP-OPR-LDS-CODEPAGE           PIC 9(9) COMP-5 VALUE 6689.   02760014
027700                                                                  02770014
027800 77 ODPP-LDS-OPERATOR-AND           PIC 9(9) COMP-5 VALUE 6699.   02780014
027900 77 ODPP-LDS-OPERATOR-OR            PIC 9(9) COMP-5 VALUE 6700.   02790014
028000 77 ODPP-LDS-OPERATOR-YES           PIC 9(9) COMP-5 VALUE 6701.   02800014
028100 77 ODPP-LDS-OPERATOR-NO            PIC 9(9) COMP-5 VALUE 6702.   02810014
028200 77 ODPP-LDS-DB2-LUW                PIC 9(9) COMP-5 VALUE 6703.   02820014
028300 77 ODPP-LDS-DB2-ZOS                PIC 9(9) COMP-5 VALUE 6704.   02830014
028400                                                                  02840014
028500 77 ODPP-FLAG-LOOKUP-CACHE          PIC 9(9) COMP-5 VALUE  1.     02850014
028600 77 ODPP-FLAG-LOOKUP-NOCACHE        PIC 9(9) COMP-5 VALUE  2.     02860014
028700 77 ODPP-FLAG-LOOKUP-SRC-UPR        PIC 9(9) COMP-5 VALUE  4.     02870014
028800 77 ODPP-FLAG-LOOKUP-HASH           PIC 9(9) COMP-5 VALUE  8.     02880014
028900 77 ODPP-FLAG-LOOKUP                PIC 9(9) COMP-5 VALUE 16.     02890014
029000 77 ODPP-FLAG-LKUP-MEM-CACHE-ONLY   PIC 9(9) COMP-5 VALUE 32.     02900014
029100                                                                  02910014
029200 77 RDB-DB2MVS                      PIC X VALUE '2'.              02920014
029300 77 RDB-DB2CS                       PIC X VALUE 'C'.              02930014
029400 77 RDB-ORACLE                      PIC X VALUE 'O'.              02940014
029500 77 RDB-SYBASE                      PIC X VALUE 'S'.              02950014
029600 77 RDB-ODBC                        PIC X VALUE 'M'.              02960014
029700 77 RDB-INFORMIX                    PIC X VALUE 'I'.              02970014
029800 77 RDB-RDB                         PIC X VALUE 'R'.              02980014
029900 77 RDB-DB2ZOS                      PIC X VALUE '2'.              02990014
030000 77 RDB-DB2LUW                      PIC X VALUE 'C'.              03000014
030100 77 RDB-SQLSERVER                   PIC X VALUE 'G'.              03010014
030200 77 RDB-ANY                         PIC X VALUE '*'.              03020014
030300 77 RDB-NONE                        PIC X VALUE 'N'.              03030014
030400 77 RDB-TERADATA                    PIC X VALUE 'T'.              03040014
030500                                                                  03050014
030600 77 DB2-CHAR                        PIC 9(4) COMP-5 VALUE 452.    03060014
030700 77 DB2-VARCHAR                     PIC 9(4) COMP-5 VALUE 448.    03070014
030800 77 DB2-INT                         PIC 9(4) COMP-5 VALUE 496.    03080014
030900 77 DB2-SMALLINT                    PIC 9(4) COMP-5 VALUE 500.    03090014
031000 77 DB2-DECIMAL                     PIC 9(4) COMP-5 VALUE 484.    03100014
031100 77 DB2-FLOAT                       PIC 9(4) COMP-5 VALUE 480.    03110014
031200 77 DB2-DATE                        PIC 9(4) COMP-5 VALUE 384.    03120014
031300 77 DB2-TIME                        PIC 9(4) COMP-5 VALUE 388.    03130014
031400 77 DB2-VARG                        PIC 9(4) COMP-5 VALUE 464.    03140014
031500 77 DB2-GRAPHIC                     PIC 9(4) COMP-5 VALUE 468.    03150014
031600                                                                  03160014
031700 77 ODPP-OS-LIB-MUTEX-ALREADY-INIT  PIC 9(4) BINARY VALUE 1300.   03170014
031800 77 ODPP-LIST-WARN-NODES-NOT-EMPTY  PIC 9(4) COMP-5 VALUE 1545.   03180014
