000010****************************************************************  00001013
000011*                                                                 00001113
000012*    LICENSED MATERIALS - PROPERTY OF IBM                         00001213
000013*    5655-O30, 5655-O27, 5655-QCC, 5655-O19, 5655-O24, 5655-QCA,  00001313
000014*    5655-QCB, 5655-O26                                           00001413
000015*    (C) COPYRIGHT 2015 IBM CORP.                                 00001513
000016*                                                                 00001613
000017* INFOSPHERE OPTIM DATA PRIVACY: COBOL MEMBER IOQSHOPD.           00001713
000018* ODPP DP-FIELD-DEF STRUCTURE DEFINITION.                         00001813
000019* ALSO ODPP DP-INIT-OP-DEF DEFINITION.                            00001913
000020*                                                                 00002013
000021****************************************************************  00002113
000022                                                                  00002213
000023                                                                  00002313
000024* ALL DATA STRUCTURES IN THIS FILE ARE INTENDED TO GO             00002413
000025*   IN THE LINKAGE SECTION.  ODPP PARMGEN CREATES THEM.           00002513
000026*                                                                 00002613
000027* DESCRIBES ALL OF THE ATTRIBUTES OF A FIELD                      00002713
000028* FIELD DEFINITION - DESCRIBES ALL OF THE ATTRIBUTES OF A FIELD   00002813
000029 01 DP-FIELD-DEF.                                                 00002913
000030       10 DP-FIELD-DEF-HEADER.                                    00003013
000031          15 NEXT-PTR POINTER.                                    00003113
000032          15 EYE-CATCHER PIC X(4) VALUE "FLDX".                   00003213
000040             88 EYE-CATCHER-INIT  VALUE "FLDX".                   00004013
000050          15 VERSION PIC S9(4) COMP-5 VALUE 21.                   00005013
000060             88 VERSION-INIT          VALUE 21.                   00006013
000070          15 STRUCT-LEN PIC S9(4) COMP-5 VALUE 48.                00007013
000080             88 STRUCT-LEN-INIT          VALUE 48.                00008013
000090       10 DP-FIELD-DEF-BODY.                                      00009013
000100          15 DATA-TYPE PIC S9(4) COMP-5.                          00010013
000200          15 FILLER PIC X(2).                                     00020013
000300          15 COL-LENGTH PIC S9(9) COMP-5.                         00030013
000400          15 COL-PRECISION PIC S9(9) COMP-5.                      00040013
000500          15 COL-SCALE PIC S9(4) COMP-5.                          00050013
000600          15 FILLER PIC X(2).                                     00060013
000700          15 DATA-CODE-PAGE PIC S9(9) COMP-5.                     00070013
000800          15 DATA-DBMS-TYPE PIC X.                                00080013
000900          15 FILLER PIC X(3).                                     00090013
001000          15 COL-NAME-BYTES PIC S9(9) COMP-5.                     00100013
001100          15 SUB-TYPE PIC X VALUE "M".                            00110013
001200          15 FILLER PIC X(3).                                     00120013
001300          15 WC-PTR POINTER.                                      00130013
001400          15 MC-PTR REDEFINES WC-PTR POINTER.                     00140013
001500                                                                  00150013
001600 01 DPFD-MC-SS.                                                   00160013
001700     10 COL-NAME-DBMS-TYPE PIC X.                                 00170013
001800     10 FILLER             PIC XXX.                               00180013
001900     10 COL-NAME-CODE-PAGE PIC S9(8) COMP.                        00190013
002000     10 COL-NAME-PTR       POINTER.                               00200013
002100                                                                  00210013
002200* INITIALIZATION PARAMETERS - CONTAINS ALL THE                    00220013
002300* INITIALIZATION  PARAMETERS REQUIRED                             00230013
002400* FOR THE CURRENT SERVICE.                                        00240013
002500 01 DP-INIT-OP-DEF.                                               00250013
002600       10 DP-INIT-OP-DEF-HEADER.                                  00260013
002700          15 NEXT-PTR POINTER.                                    00270013
002800          15 EYE-CATCHER PIC X(4) VALUE "OPRA".                   00280013
002900             88 EYE-CATCHER-INIT  VALUE "OPRA".                   00290013
003000          15 VERSION PIC S9(4) COMP-5 VALUE 21.                   00300013
003100             88 VERSION-INIT          VALUE 21.                   00310013
003200          15 STRUCT-LEN PIC S9(4) COMP-5.                         00320013
003300       10 DP-INIT-OP-DEF-BODY.                                    00330013
003400          15 PARAMETER-ID PIC 9(4) COMP-5.                        00340013
003500          15 PARAM-NAME-SUB-TYPE PIC X.                           00350013
003600          15 FILLER PIC X.                                        00360013
003700          15 PARAM-NAME-BUF-BYTES PIC S9(9) COMP-5.               00370013
003800          15 PARAM-NAME POINTER.                                  00380013
003900          15 VALUE-SUB-TYPE PIC S9(9) COMP-5.                     00390013
004000          15 VALUE-BUF-BYTES PIC S9(9) COMP-5.                    00400013
004100          15 PARAM-VAL-PTR POINTER.                               00410013
004200          15 PARAM-VAL-INT                                        00420013
004300               REDEFINES PARAM-VAL-PTR PIC 9(9) COMP-5.           00430013
004400                                                                  00440013
