      * DP-SVC-DEF
      * THE SERVICE DEFINITION CONTAINS THE PARAMETERS
      * AND FIELD DEFINITION LISTS AND THE OTHER
      * SERVICE DEFINITION TYPE INITIALIZATION PARAMETERS.
       01 DP-SVC-DEF.
          05 EYE-CATCHER PIC X(4) VALUE "SVCX".
          05 VERSION PIC S9(4) COMP-5 VALUE 91.
          05 STRUCT-LEN PIC S9(4) COMP-5.
          05 DP-SVC-DEF-BODY.
             10 REFRESH-SVC-DEF PIC X.
             10 COPY-TO-DEST PIC X.
             10 PARAM-COUNT PIC S9(4) COMP-5.
             10 FLD-COUNT PIC S9(4) COMP-5.
             10 CTRL-DATA-DBMS-TYPE PIC X.
             10 FILLER PIC X.
             10 CTRL-DATA-CP PIC S9(9) COMP-5.
             10 PARAMS-PTR POINTER.
             10 FLD-DEF-PTR POINTER.

      * DESCRIBES ALL OF THE ATTRIBUTES OF A FIELD
      * FIELD DEFINITION - DESCRIBES ALL OF THE ATTRIBUTES OF A FIELD
       01 DP-FIELD-DEF.
          05 DP-FIELD-DEF-ARRAY OCCURS 5 TIMES.
             10 DP-FIELD-DEF-HEADER.
                15 NEXT-PTR POINTER.
                15 EYE-CATCHER PIC X(4) VALUE "FLDX".
                15 VERSION PIC S9(4) COMP-5 VALUE 91.
                15 STRUCT-LEN PIC S9(4) COMP-5.
             10 DP-FIELD-DEF-BODY.
                15 DATA-TYPE PIC S9(4) COMP-5.
                15 FILLER PIC X(2).
                15 COL-LENGTH PIC S9(9) COMP-5.
                15 COL-PRECISION PIC S9(9) COMP-5.
                15 COL-SCALE PIC S9(4) COMP-5.
                15 FILLER PIC X(2).
                15 DATA-CODE-PAGE PIC S9(9) COMP-5.
                15 DATA-DBMS-TYPE PIC X.
                15 FILLER PIC X(3).
                15 COL-NAME-BYTES PIC S9(9) COMP-5.
                15 SUB-TYPE PIC X.
                15 FILLER PIC X(3).
                15 WC-PTR POINTER.
                15 MC-PTR REDEFINES WC-PTR POINTER.

      * INITIALIZATION PARAMETERS - CONTAINS ALL THE
      * INITIALIZATION  PARAMETERS REQUIRED
      * FOR THE CURRENT SERVICE.
       01 DP-INIT-OP-DEF.
          05 DP-INIT-OP-DEF-ARRAY OCCURS 20 TIMES.
             10 DP-INIT-OP-DEF-HEADER.
                15 NEXT-PTR POINTER.
                15 EYE-CATCHER PIC X(4) VALUE "OPRA".
                15 VERSION PIC S9(4) COMP-5 VALUE 91.
                15 STRUCT-LEN PIC S9(4) COMP-5.
             10 DP-INIT-OP-DEF-BODY.
                15 PARAMETER-ID PIC 9(4) COMP-5.
                15 PARAM-NAME-SUB-TYPE PIC X.
                15 FILLER PIC X.
                15 PARAM-NAME-BUF-BYTES PIC S9(9) COMP-5.
                15 PARAM-NAME POINTER.
                15 VALUE-SUB-TYPE PIC S9(9) COMP-5.
                15 VALUE-BUF-BYTES PIC S9(9) COMP-5.
                15 PARAM-VAL-PTR POINTER.
                15 PARAM-VAL-INT
                     REDEFINES PARAM-VAL-PTR PIC 9(9) COMP-5.

      * THE FIELD DATA DEFINITION CARRIES THE SOURCE AND TARGET DATA
       01 DP-FIELD-DATA-DEF.
          04 DP-FIELD-DATA-DEF-ARRAY OCCURS 5 TIMES.
             05 NEXT-PTR POINTER.
             05 EYE-CATCHER PIC X(4) VALUE "DATA".
             05 VERSION PIC S9(4) COMP-5 VALUE 91.
             05 STRUCT-LEN PIC S9(4) COMP-5.
             05 DP-FIELD-DATA-DEF-BODY.
                10 SRC-NULL PIC X.
                10 DST-NULL PIC X.
                10 FILLER PIC X(2).
      *            LENGTH OR MAX LENGTH OF SOURCE BUFFER IN BYTES.
      *            IF COPYTODEST OF SVCDEF IS FALSE THIS VAR WILL BE
      *            UPDATED TO CONTAIN OUTPUT DATA SIZE IN BYTES.
                10 SRC-BUF-LEN PIC S9(9) COMP-5.
      *            LENGTH OR MAX LENGTH OF DEST BUFFER IN BYTES.
      *            IF COPYTODEST OF SVCDEF TRUE THIS VAR WILL HAVE
      *            SIZE OF OUTPUT DATA IN BYTES.
                10 DST-BUF-LEN PIC S9(9) COMP-5.
      *            BYTES OF RETURNED DATA IN DST-BUF-PTR
                10 OUT-BUF-LEN PIC S9(9) COMP-5.
                10 ERROR-CODE PIC S9(9) COMP-5.
      *    POINTER TO SOURCE BUFFER.
                10 SRC-BUF-PTR POINTER.
      *    POINTER TO DESTINATION BUFFER.
                10 DST-BUF-PTR POINTER.

      * THE ROW DEFINITION ENCAPSULATES THE DP-FIELD-DATA-DEF STRUCT
      * TO PROVIDE A 2-DIMENSIONAL ARRAY OF DP-FIELD-DATA-DEF.
      * IN A COLUMN MAP EXIT, THIS WILL ALWAYS BE ONE ENTRY.
       01 DP-ROW-DEF.
          05 NEXT-PTR POINTER.
          05 EYE-CATCHER PIC X(4) VALUE "ROWD".
          05 VERSION PIC S9(4) COMP-5 VALUE 91.
          05 STRUCT-LEN PIC S9(4) COMP-5.
          05 DP-ROW-DEF-BODY.
             10 PROCESSED PIC X.
             10 HAS-ERROR PIC X.
             10 S-COUNT PIC S9(4)   COMP-5.
             10 FLD-DATA-DEFINE-PTR POINTER.

      * ENCAPSULATES A BATCH (OR SET) OF DP-ROW-DEFS.
      * FOR OPTIM/Z COLUMN MAP EXIT, WILL ONLY BE 1 ON CHAIN.
       01 DP-ROWSET-DEF.
          05 EYE-CATCHER PIC X(4) VALUE "RWST".
          05 VERSION PIC S9(4) COMP-5 VALUE 91.
          05 STRUCT-LEN PIC S9(4) COMP-5.
          05 DP-ROWSET-DEF-BODY.
             10 ROW-COUNT PIC S9(9) COMP-5.
             10 LAST-PRCS-ROW PIC S9(9) COMP-5.
             10 ROW-DEFINE-PTR POINTER.

       77 MAX-PARAMETER PIC S9(9) COMP-5 VALUE 3.
       77 MAX-COLUMN PIC S9(9) COMP-5 VALUE 1.
       77 MAX-COLNAME-SIZE PIC S9(9) COMP-5 VALUE 256.

      * DATATYPE DEFINITIONS USED IN ODPP
       77 ODPPDATATYPE-CHAR               PIC S9(4) COMP-5 VALUE 1.
       77 ODPPDATATYPE-VARCHAR            PIC S9(4) COMP-5 VALUE 2.
       77 ODPPDATATYPE-VARCHAR-SZ         PIC S9(4) COMP-5 VALUE 3.
       77 ODPPDATATYPE-WCHAR              PIC S9(4) COMP-5 VALUE 4.
       77 ODPPDATATYPE-WVARCHAR           PIC S9(4) COMP-5 VALUE 5.
       77 ODPPDATATYPE-WVARCHAR-SZ        PIC S9(4) COMP-5 VALUE 6.
       77 ODPPDATATYPE-LONG-LONG          PIC S9(4) COMP-5 VALUE 7.
       77 ODPPDATATYPE-U-LONG-LONG        PIC S9(4) COMP-5 VALUE 8.
       77 ODPPDATATYPE-INTEGER            PIC S9(4) COMP-5 VALUE 9.
       77 ODPPDATATYPE-U-INTEGER          PIC S9(4) COMP-5 VALUE 10.
       77 ODPPDATATYPE-DECIMAL-370        PIC S9(4) COMP-5 VALUE 13.
       77 ODPPDATATYPE-ODBC-DATE          PIC S9(4) COMP-5 VALUE 14.
       77 ODPPDATATYPE-ODBC-TIME          PIC S9(4) COMP-5 VALUE 15.
       77 ODPPDATATYPE-ODBC-TIMESTAMP     PIC S9(4) COMP-5 VALUE 16.
       77 ODPPDATATYPE-DATETIME-SZ        PIC S9(4) COMP-5 VALUE 17.
       77 ODPPDATATYPE-DATETIME-WSZ       PIC S9(4) COMP-5 VALUE 18.
       77 ODPPDATATYPE-DOUBLE             PIC S9(4) COMP-5 VALUE 19.
       77 ODPPDATATYPE-FLOAT              PIC S9(4) COMP-5 VALUE 20.
       77 ODPPDATATYPE-SMALLINT           PIC S9(4) COMP-5 VALUE 21.
       77 ODPPDATATYPE-USMALLINT          PIC S9(4) COMP-5 VALUE 22.
       77 ODPPDATATYPE-TINYINT            PIC S9(4) COMP-5 VALUE 23.
       77 ODPPDATATYPE-UTINYINT           PIC S9(4) COMP-5 VALUE 24.
       77 ODPPDATATYPE-DATETIME-CHAR      PIC S9(4) COMP-5 VALUE 25.
       77 ODPPDATATYPE-DATETIME-VARCHAR   PIC S9(4) COMP-5 VALUE 26.
       77 ODPPDATATYPE-DATETIME-WCHAR     PIC S9(4) COMP-5 VALUE 27.
       77 ODPPDATATYPE-DATETIME-WVARCHAR  PIC S9(4) COMP-5 VALUE 28.
       77 ODPPDATATYPE-ORA-VARNUM         PIC S9(4) COMP-5 VALUE 101.
       77 ODPPDATATYPE-GRAPHIC            PIC S9(4) COMP-5 VALUE 111.
       77 ODPPDATATYPE-VARGRAPHIC         PIC S9(4) COMP-5 VALUE 112.

      * COMMON OPERANDS USED BY THE ODPP
       77 ODPP-OPR-SWITCH-LITERAL         PIC S9(4) COMP-5 VALUE 4097.
       77 ODPP-OPR-SWITCH-FUNCTION        PIC S9(4) COMP-5 VALUE 4098.
       77 ODPP-OPR-SWITCH-COLINDEX        PIC S9(4) COMP-5 VALUE 4099.
       77 ODPP-OPR-SWITCH-COLNAME         PIC S9(4) COMP-5 VALUE 4100.
       77 ODPP-OPR-SWITCH-NA              PIC S9(4) COMP-5 VALUE 4101.
       77 ODPP-OPR-PARTS                  PIC S9(4) COMP-5 VALUE 4102.
       77 ODPP-OPR-SOURCE-COLINDEX        PIC S9(4) COMP-5 VALUE 4103.
       77 ODPP-OPR-SOURCE-COLNAME         PIC S9(4) COMP-5 VALUE 4104.
       77 ODPP-OPR-SEPARATOR              PIC S9(4) COMP-5 VALUE 4105.
       77 ODPP-OPR-FLAGS                  PIC S9(4) COMP-5 VALUE 4106.
       77 ODPP-OPR-METHOD                 PIC S9(4) COMP-5 VALUE 4107.
       77 ODPP-OPR-TRACEPATH              PIC S9(4) COMP-5 VALUE 4108.
       77 ODPP-OPR-TRACELEVEL             PIC S9(4) COMP-5 VALUE 4109.
       77 ODPP-OPR-DATE                   PIC S9(4) COMP-5 VALUE 4110.
       77 ODPP-OPR-TIME                   PIC S9(4) COMP-5 VALUE 4111.
       77 ODPP-OPR-TIME-EX                PIC S9(4) COMP-5 VALUE 4112.
       77 ODPP-OPR-TIMESTAMP              PIC S9(4) COMP-5 VALUE 4113.
       77 ODPP-OPR-TIMESTAMP-EX           PIC S9(4) COMP-5 VALUE 4114.
       77 ODPP-OPR-DISCARD-LIMIT          PIC S9(4) COMP-5 VALUE 4115.
       77 ODPP-OPR-RETRY-FAILED           PIC S9(4) COMP-5 VALUE 4116.
       77 ODPP-OPR-SOURCE-COLS            PIC S9(4) COMP-5 VALUE 4117.
       77 ODPP-OPR-ERRORFILE-PATH         PIC S9(4) COMP-5 VALUE 4118.
       77 ODPP-OPR-SOURCE-DATE-FORMAT     PIC S9(4) COMP-5 VALUE 4119.
       77 ODPP-OPR-DEST-DATE-FORMAT       PIC S9(4) COMP-5 VALUE 4120.
       77 ODPP-OPR-DEST-DATATYPE          PIC S9(4) COMP-5 VALUE 4121.
       77 ODPP-OPR-ERROR-MSG-LANGUAGE     PIC S9(4) COMP-5 VALUE 4122.
       77 ODPP-OPR-MAX-NUM-TRACE-FILES    PIC S9(4) COMP-5 VALUE 4123.
       77 ODPP-OPR-LIC-FILES-PATH         PIC S9(4) COMP-5 VALUE 4124.
       77 ODPP-OPR-FRMW-ERR-MSG-BUF       PIC S9(4) COMP-5 VALUE 4125.
       77 ODPP-OPR-LIB-PATH               PIC S9(4) COMP-5 VALUE 4126.
       77 ODPP-OPR-TRACE-NAME             PIC S9(4) COMP-5 VALUE 4127.

      * INFORMATION REQUESTS USED BY PROVIDERS
       77 ODPP-REQ-SRC-COL-INDEX          PIC S9(4) COMP-5 VALUE 3585.
       77 ODPP-REQ-DEST-COL-INDEX         PIC S9(4) COMP-5 VALUE 3586.
       77 ODPP-REQ-DEST-DATATYPE          PIC S9(4) COMP-5 VALUE 3587.
       77 ODPP-REQ-DEST-FIELD-INFO        PIC S9(4) COMP-5 VALUE 3588.

      * COMMON SEPARATORS USED WITH PROVIDER NID WITH SEP OPERANDS
       77 ODPP-NO-SEP                     PIC S9(4) COMP-5 VALUE 1.
       77 ODPP-SEP-USESOURCE              PIC S9(4) COMP-5 VALUE 2.
       77 ODPP-SEP-DOT                    PIC S9(4) COMP-5 VALUE 4.
       77 ODPP-SEP-DASH                   PIC S9(4) COMP-5 VALUE 8.
       77 ODPP-SEP-SPACE                  PIC S9(4) COMP-5 VALUE 16.
       77 ODPP-SEP-UNDERSCORE             PIC S9(4) COMP-5 VALUE 32.

      * HASH LIBRARY OPERANDS
       77 ODPP-OPR-HASH-ALGORITHM         PIC S9(4) COMP-5 VALUE 4128.
       77 ODPP-OPR-HASH-SEED-HMAC         PIC S9(4) COMP-5 VALUE 4129.
      * VALUES FOR THE HASH ALGORITHM
       77 ODPP-HASH-ALGORITHM-NATIVE      PIC S9(9) COMP-5 VALUE 5150.
       77 ODPP-HASH-ALGORITHM-SHA256      PIC S9(9) COMP-5 VALUE 5151.

       77 PARAM-VAL-NONE                  PIC S9(9) COMP-5 VALUE 0.
       77 PARAM-VAL-NUM                   PIC S9(9) COMP-5 VALUE 1.
       77 PARAM-VAL-WC                    PIC S9(9) COMP-5 VALUE 2.
       77 PARAM-VAL-MC                    PIC S9(9) COMP-5 VALUE 3.

      * COMMON OPERAND VALUE/FLAG DEFINES
       77 ODPP-METHOD-MASK                PIC S9(9) COMP-5 VALUE 5126.
       77 ODPP-METHOD-RANDOM              PIC S9(9) COMP-5 VALUE 5127.
       77 ODPP-METHOD-DEFAULT             PIC S9(9) COMP-5 VALUE 5128.
       77 ODPP-TRACE-PATH-DEFAULT         PIC S9(9) COMP-5 VALUE 5129.
       77 ODPP-FLAG-VALIDATE-INPUT        PIC S9(9) COMP-5 VALUE 1.
       77 ODPP-FLAG-IGNORE-INVALID        PIC S9(9) COMP-5 VALUE 2.

      * OPERANDS FOR AFFINITY (COL)
       77 ODPP-OPR-COL-MASK               PIC 9(9) COMP-5 VALUE 6630.
       77 ODPP-OPR-COL-VARSEED            PIC 9(9) COMP-5 VALUE 6631.
       77 ODPP-OPR-COL-LITSEED            PIC 9(9) COMP-5 VALUE 6632.
       77 ODPP-OPR-COL-RNDSEED            PIC 9(9) COMP-5 VALUE 6633.
       77 ODPP-OPR-COL-COPY               PIC 9(9) COMP-5 VALUE 6634.
       77 ODPP-OPR-COL-LENGTH             PIC 9(9) COMP-5 VALUE 6635.
       77 ODPP-OPR-COL-NUM                PIC 9(9) COMP-5 VALUE 6636.
       77 ODPP-OPR-COL-TRIM               PIC 9(9) COMP-5 VALUE 6637.
       77 ODPP-OPR-COL-BINARY             PIC 9(9) COMP-5 VALUE 6638.
       77 ODPP-OPR-COL-ALGORITHM          PIC 9(9) COMP-5 VALUE 6639.
       77 ODPP-OPR-COL-ITERATIONS         PIC 9(9) COMP-5 VALUE 6640.
       77 ODPP-OPR-COL-KEY                PIC 9(9) COMP-5 VALUE 6641.
       77 ODPP-OPR-COL-TWEAKS             PIC 9(9) COMP-5 VALUE 6642.
       77 ODPP-OPR-COL-WHENMATCH          PIC 9(9) COMP-5 VALUE 6643.

      * FLAGS FOR AFFINITY (COL)
       77 ODPP-COL-MASK-UNIQUE            PIC 9(9) COMP-5 VALUE 6646.
       77 ODPP-COL-MASK-HASH              PIC 9(9) COMP-5 VALUE 6647.
       77 ODPP-COL-LENGTH-MAX             PIC 9(9) COMP-5 VALUE 6648.
       77 ODPP-COL-BINARY-SCALED          PIC 9(9) COMP-5 VALUE 6649.
       77 ODPP-COL-ALGORITHM-NATIVE       PIC 9(9) COMP-5 VALUE 6650.
       77 ODPP-COL-ALGORITHM-FPE          PIC 9(9) COMP-5 VALUE 6651.
       77 ODPP-COL-TWEAKS-YES             PIC 9(9) COMP-5 VALUE 6652.
       77 ODPP-COL-TWEAKS-NO              PIC 9(9) COMP-5 VALUE 6653.

      * PARAMETERS SPECIFIC TO EML
       77 ODPP-OPR-EML-FLAGS              PIC 9(4) COMP-5 VALUE 6534.
       77 ODPP-OPR-EML-DOMAIN             PIC 9(4) COMP-5 VALUE 6535.
       77 ODPP-OPR-EML-NAME1COL-INDEX     PIC 9(4) COMP-5 VALUE 6536.
       77 ODPP-OPR-EML-NAME2COL-INDEX     PIC 9(4) COMP-5 VALUE 6537.
       77 ODPP-OPR-EML-USERPRFX           PIC 9(4) COMP-5 VALUE 6538.
       77 ODPP-OPR-EML-SEPARATOR          PIC 9(4) COMP-5 VALUE 6539.
       77 ODPP-OPR-EML-HASHSEED           PIC 9(4) COMP-5 VALUE 6540.
       77 ODPP-OPR-EML-HASHDOMAIN         PIC 9(4) COMP-5 VALUE 6541.
       77 ODPP-OPR-EML-NAME1COL-NAME      PIC 9(4) COMP-5 VALUE 6542.
       77 ODPP-OPR-EML-NAME2COL-NAME      PIC 9(4) COMP-5 VALUE 6543.

      * FLAGS SPECIFIC TO EML
       77 ODPP-EML-FLAG-INITIAL           PIC 9(4) COMP-5 VALUE 1.
       77 ODPP-EML-FLAG-LOWER             PIC 9(4) COMP-5 VALUE 2.
       77 ODPP-EML-FLAG-UPPER             PIC 9(4) COMP-5 VALUE 4.
       77 ODPP-EML-FLAG-HASH-ENABLED      PIC 9(4) COMP-5 VALUE 8.

      * OPERANDS FOR ODPP-OPR-EML-HASHDOMAIN
       77 ODPP-EML-DOMAIN-KEEP            PIC 9(4) COMP-5 VALUE 6566.
       77 ODPP-EML-DOMAIN-REGISTERED      PIC 9(4) COMP-5 VALUE 6567.
       77 ODPP-EML-DOMAINUNREGISTERED     PIC 9(4) COMP-5 VALUE 6568.

      * OPERANDS FOR PARTS FOR VARIOUS NIDS
       77 ODPP-OPR-NID-FR-PARTS           PIC 9(9) COMP-5 VALUE 6145.
       77 ODPP-OPR-NID-ES-PARTS           PIC 9(9) COMP-5 VALUE 6146.
       77 ODPP-OPR-NID-IT-PARTS           PIC 9(9) COMP-5 VALUE 6147.
       77 ODPP-OPR-NID-UK-PARTS           PIC 9(9) COMP-5 VALUE 6148.
       77 ODPP-OPR-NID-US-PARTS           PIC 9(9) COMP-5 VALUE 6149.
       77 ODPP-OPR-NID-CA-PARTS           PIC 9(9) COMP-5 VALUE 6150.

      * OPERANDS FOR SEPS FOR VARIOUS NIDS
       77 ODPP-OPR-NID-FR-SEP             PIC 9(9) COMP-5 VALUE 6151.
       77 ODPP-OPR-NID-ES-SEP             PIC 9(9) COMP-5 VALUE 6152.
       77 ODPP-OPR-NID-IT-SEP             PIC 9(9) COMP-5 VALUE 6153.
       77 ODPP-OPR-NID-UK-SEP             PIC 9(9) COMP-5 VALUE 6154.
       77 ODPP-OPR-NID-US-SEP             PIC 9(9) COMP-5 VALUE 6155.
       77 ODPP-OPR-NID-CA-SEP             PIC 9(9) COMP-5 VALUE 6156.

      * OPERANDS FOR FLAGS FOR VARIOUS NIDS
       77 ODPP-OPR-NID-UK-FLAGS           PIC 9(9) COMP-5 VALUE 6157.
       77 ODPP-OPR-NID-US-FLAGS           PIC 9(9) COMP-5 VALUE 6158.

      * THESE VALUES ARE FOR FR OPERAND ODPP-OPR-NID-FR-PARTS ONLY
       77 ODPP-FR-PARTS-MASK-SEX          PIC 9(4) COMP-5 VALUE 1.
       77 ODPP-FR-PARTS-MASK-YEAR         PIC 9(4) COMP-5 VALUE 2.
       77 ODPP-FR-PARTS-MASK-MONTH        PIC 9(4) COMP-5 VALUE 4.
       77 ODPP-FR-PARTS-MASK-DEPT         PIC 9(4) COMP-5 VALUE 8.
       77 ODPP-FR-PARTS-MASK-COMMUNE      PIC 9(4) COMP-5 VALUE 16.

      * THESE VALUES ARE FOR IT OPERAND ODPP-OPR-NID-IT-PARTS ONLY
       77 ODPP-IT-PARTS-MASK-NAME         PIC 9(4) COMP-5 VALUE 1.
       77 ODPP-IT-PARTS-MASK-BIRTH-DATE   PIC 9(4) COMP-5 VALUE 2.
       77 ODPP-IT-PARTS-MASK-REGION       PIC 9(4) COMP-5 VALUE 4.

      * THESE VALUES ARE FOR UK OPERAND ODPP-OPR-NID-UK-PARTS ONLY
       77 ODPP-UK-PARTS-MASK-PREFIX       PIC 9(4) COMP-5 VALUE 1.
      * THESE VALUES ARE FOR UK OPERAND ODPP-OPR-NID-UK-FLAGS ONLY
       77 ODPP-FLAG-UK-FORM-3-PART        PIC 9(4) COMP-5 VALUE 1.
       77 ODPP-FLAG-UK-FORM-5-PART        PIC 9(4) COMP-5 VALUE 2.

      * THESE VALUES ARE FOR CA OPERAND ODPP-OPR-NID-CA-PARTS ONLY
       77 ODPP-CA-PARTS-MASK-HEAD         PIC 9(4) COMP-5 VALUE 1.

      * THESE VALUES ARE FOR US OPERAND ODPP-OPR-NID-US-FLAGS ONLY
       77 ODPP-FLAG-US-RANDOM             PIC 9(4) COMP-5 VALUE 1.
       77 ODPP-FLAG-USE-DIST-TABLE        PIC 9(4) COMP-5 VALUE 2.
       77 ODPP-FLAG-USE-ZOS-TABLE         PIC 9(4) COMP-5 VALUE 4.

      * OPERAND FOR CCN SPECIFIC FLAGS
       77 ODPP-OPR-CCN-FLAGS              PIC 9(4) COMP-5 VALUE 6501.

      * CCN FLAGS FOR CCN OPERAND ODPP-OPR-CCN-FLAGS
       77 ODPP-FLAG-CCN-RANDOM            PIC 9(4) COMP-5 VALUE 1.
       77 ODPP-FLAG-CCN-ISSUER6           PIC 9(4) COMP-5 VALUE 2.

      * HASH OPERANDS/FLAGS/VALUES
       77 ODPP-OPR-HASH-MAXVALUE          PIC 9(4) COMP-5 VALUE 6716.
       77 ODPP-OPR-HASH-SEED-LIT          PIC 9(4) COMP-5 VALUE 6717.
       77 ODPP-OPR-HASH-SEED-ENV          PIC 9(4) COMP-5 VALUE 6718.
       77 ODPP-OPR-HASH-SEED-RANDOM       PIC 9(4) COMP-5 VALUE 6719.
       77 ODPP-OPR-HASH-SEED-COL          PIC 9(4) COMP-5 VALUE 6720.
       77 ODPP-OPR-HASH-DEST-COL          PIC 9(4) COMP-5 VALUE 6721.
       77 ODPP-OPR-HASH-TRIM-CHARS        PIC 9(4) COMP-5 VALUE 6722.
       77 ODPP-OPR-HASH-SRC-COL-SEP       PIC 9(4) COMP-5 VALUE 6723.
       77 ODPP-OPR-HASH-FLAGS             PIC 9(4) COMP-5 VALUE 6724.
       77 ODPP-OPR-HASH-ALGO              PIC 9(4) COMP-5 VALUE 6725.
       77 OPR-HASH-SPL-SNGL-COL-NULL      PIC 9(4) COMP-5 VALUE 6726.
       77 OPR-HASH-SPL-SNGL-COL-BLANK     PIC 9(4) COMP-5 VALUE 6727.
       77 OPR-HASH-SPL-SNGL-COL-ZEROLEN   PIC 9(4) COMP-5 VALUE 6728.
       77 OPR-HASH-SPL-MULTI-COL-NULL     PIC 9(4) COMP-5 VALUE 6729.
       77 OPR-HASH-SPL-MULTI-COL-BLANK    PIC 9(4) COMP-5 VALUE 6730.
       77 OPR-HASH-SPL-MULTI-COL-ZEROLEN  PIC 9(4) COMP-5 VALUE 6731.
       77 OPR-HASH-SPL-MULTI-COL-MIXED    PIC 9(4) COMP-5 VALUE 6732.

      * HASH OPERANDS/FLAGS/VALUES
       77 ODPP-METHOD-HASH                PIC 9(4) COMP-5 VALUE 5126.
       77 ODPP-HASH-ALGO-1                PIC 9(4) COMP-5 VALUE 6741.
       77 ODPP-NO-RETRY-FAILED            PIC 9(4) COMP-5 VALUE 6742.
       77 ODPP-RETRY-FAILED               PIC 9(4) COMP-5 VALUE 6743.
      * HASH PROVIDER SPECIFIC INFO REQUEST CODES
       77 ODPP-HASH-REQ-SEED-COL-INDEX    PIC 9(4) COMP-5 VALUE 6754.
       77 ODPP-HASH-REQ-MAX-HASH-VALUE    PIC 9(4) COMP-5 VALUE 6755.
      * HASH FLAG OPERAND
       77 HASH-FLAG-SRC-TO-UPPER          PIC 9(4) COMP-5 VALUE 1.

      * VALUES FOR AGE
       77 ODPP-OPR-AGE-YEAR               PIC 9(9) COMP-5 VALUE 6756.
       77 ODPP-OPR-AGE-MONTH              PIC 9(9) COMP-5 VALUE 6757.
       77 ODPP-OPR-AGE-WEEK               PIC 9(9) COMP-5 VALUE 6758.
       77 ODPP-OPR-AGE-DAY                PIC 9(9) COMP-5 VALUE 6759.
       77 ODPP-OPR-AGE-SPECIFIC-YEAR      PIC 9(9) COMP-5 VALUE 6760.
       77 ODPP-OPR-AGE-CENTURY-PIVOT      PIC 9(9) COMP-5 VALUE 6761.

      * VALUES FOR LOOKUP AND HASH
       77 ODPP-OPR-LOOKUP-SEARCH-COLS     PIC 9(9) COMP-5 VALUE 4117.
       77 ODPP-OPR-SRC-COL-OPERATOR       PIC 9(9) COMP-5 VALUE 6672.
       77 ODPP-OPR-LDS-ID                 PIC 9(9) COMP-5 VALUE 6673.
       77 ODPP-OPR-LDS-LIB                PIC 9(9) COMP-5 VALUE 6674.
       77 ODPP-OPR-LOOKUP-REPLACE-COLS    PIC 9(9) COMP-5 VALUE 6675.
       77 ODPP-OPR-LOOKUP-TRIM-CHARS      PIC 9(9) COMP-5 VALUE 6676.
       77 ODPP-OPR-LOOKUP-SEED            PIC 9(9) COMP-5 VALUE 6677.
       77 ODPP-OPR-LOOKUP-LIMIT           PIC 9(9) COMP-5 VALUE 6678.
       77 ODPP-OPR-LOOKUP-FLAGS           PIC 9(9) COMP-5 VALUE 6679.
       77 ODPP-OPR-LKP-HASH-SEQ-COL-NAME  PIC 9(9) COMP-5 VALUE 6680.
       77 ODPP-OPR-LKP-CACHE-TEMP-PATH    PIC 9(9) COMP-5 VALUE 6681.
       77 ODPP-OPR-RND-LKP-TEMP-PATH      PIC 9(9) COMP-5 VALUE 6681.
       77 ODPP-OPR-LKP-CACHE-MEM-THRHOLD  PIC 9(9) COMP-5 VALUE 6682.
       77 ODPP-OPR-LKP-PRESERVE-NULL      PIC 9(9) COMP-5 VALUE 6683.
       77 ODPP-OPR-LKP-PRESERVE-BLANK     PIC 9(9) COMP-5 VALUE 6684.
       77 ODPP-OPR-LKP-PRESERVE-ZEROLEN   PIC 9(9) COMP-5 VALUE 6690.
       77 ODPP-OPR-LKP-PRESERVE-NOTFOUND  PIC 9(9) COMP-5 VALUE 6691.
       77 ODPP-OPR-LKP-SPL-HV-SCOL-NULL   PIC 9(9) COMP-5 VALUE 6692.
       77 ODPP-OPR-LKP-SPL-HV-SCOL-BLANK  PIC 9(9) COMP-5 VALUE 6693.
       77 ODPP-OPR-LKP-SPL-HV-SCOL-ZLEN   PIC 9(9) COMP-5 VALUE 6694.
       77 ODPP-OPR-LKP-SPL-HV-MCOL-NULL   PIC 9(9) COMP-5 VALUE 6695.
       77 ODPP-OPR-LKP-SPL-HV-MCOL-BLANK  PIC 9(9) COMP-5 VALUE 6696.
       77 ODPP-OPR-LKP-SPL-HV-MCOL-ZLEN   PIC 9(9) COMP-5 VALUE 6697.
       77 ODPP-OPR-LKP-SPL-HV-MCOL-MIXED  PIC 9(9) COMP-5 VALUE 6698.

       77 ODPP-OPR-LDS-USERNAME           PIC 9(9) COMP-5 VALUE 6685.
       77 ODPP-OPR-LDS-PASSWORD           PIC 9(9) COMP-5 VALUE 6686.
       77 ODPP-OPR-LDS-CONN-STRING        PIC 9(9) COMP-5 VALUE 6687.
       77 ODPP-OPR-LDS-SCHEMA             PIC 9(9) COMP-5 VALUE 6688.
       77 ODPP-OPR-LDS-CODEPAGE           PIC 9(9) COMP-5 VALUE 6689.

       77 ODPP-LDS-OPERATOR-AND           PIC 9(9) COMP-5 VALUE 6699.
       77 ODPP-LDS-OPERATOR-OR            PIC 9(9) COMP-5 VALUE 6700.
       77 ODPP-LDS-OPERATOR-YES           PIC 9(9) COMP-5 VALUE 6701.
       77 ODPP-LDS-OPERATOR-NO            PIC 9(9) COMP-5 VALUE 6702.
       77 ODPP-LDS-DB2-LUW                PIC 9(9) COMP-5 VALUE 6703.
       77 ODPP-LDS-DB2-ZOS                PIC 9(9) COMP-5 VALUE 6704.

       77 ODPP-FLAG-LOOKUP-CACHE          PIC 9(9) COMP-5 VALUE  1.
       77 ODPP-FLAG-LOOKUP-NOCACHE        PIC 9(9) COMP-5 VALUE  2.
       77 ODPP-FLAG-LOOKUP-SRC-UPR        PIC 9(9) COMP-5 VALUE  4.
       77 ODPP-FLAG-LOOKUP-HASH           PIC 9(9) COMP-5 VALUE  8.
       77 ODPP-FLAG-LOOKUP                PIC 9(9) COMP-5 VALUE 16.
       77 ODPP-FLAG-LKUP-MEM-CACHE-ONLY   PIC 9(9) COMP-5 VALUE 32.

       77 RDB-DB2MVS                      PIC X VALUE '2'.
       77 RDB-DB2CS                       PIC X VALUE 'C'.
       77 RDB-ORACLE                      PIC X VALUE 'O'.
       77 RDB-SYBASE                      PIC X VALUE 'S'.
       77 RDB-ODBC                        PIC X VALUE 'M'.
       77 RDB-INFORMIX                    PIC X VALUE 'I'.
       77 RDB-RDB                         PIC X VALUE 'R'.
       77 RDB-DB2ZOS                      PIC X VALUE '2'.
       77 RDB-DB2LUW                      PIC X VALUE 'C'.
       77 RDB-SQLSERVER                   PIC X VALUE 'G'.
       77 RDB-ANY                         PIC X VALUE '*'.
       77 RDB-NONE                        PIC X VALUE 'N'.
       77 RDB-TERADATA                    PIC X VALUE 'T'.

       77 DB2-CHAR                        PIC 9(4) COMP-5 VALUE 452.
       77 DB2-VARCHAR                     PIC 9(4) COMP-5 VALUE 448.
       77 DB2-INT                         PIC 9(4) COMP-5 VALUE 496.
       77 DB2-SMALLINT                    PIC 9(4) COMP-5 VALUE 500.
       77 DB2-DECIMAL                     PIC 9(4) COMP-5 VALUE 484.
       77 DB2-FLOAT                       PIC 9(4) COMP-5 VALUE 480.
       77 DB2-DATE                        PIC 9(4) COMP-5 VALUE 384.
       77 DB2-TIME                        PIC 9(4) COMP-5 VALUE 388.
       77 DB2-VARG                        PIC 9(4) COMP-5 VALUE 464.
       77 DB2-GRAPHIC                     PIC 9(4) COMP-5 VALUE 468.

       77 ODPP-OS-LIB-MUTEX-ALREADY-INIT  PIC S9(4) BINARY VALUE 1300.
